/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */
package ink.xcl.leventbus.core

class ObservableConfig {
    @JvmField var lifecycleObserverAlwaysActive: Boolean? = null
    @JvmField var autoClear: Boolean? = null

    /**
     * lifecycleObserverAlwaysActive set if then observer can always receive message true: observer
     * can always receive message false: observer can only receive message when resumed
     *
     * @param active boolean
     * @return ObservableConfig
     */
    fun lifecycleObserverAlwaysActive(active: Boolean): ObservableConfig {
        lifecycleObserverAlwaysActive = active
        return this
    }

    /**
     * @param clear boolean
     * @return true: clear livedata when no observer observe it false: not clear livedata unless app
     *   was killed
     */
    fun autoClear(clear: Boolean): ObservableConfig {
        autoClear = clear
        return this
    }
}
