/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */
package ink.xcl.leventbus.ipc.receiver

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import ink.xcl.leventbus.LiveEventBus
import ink.xcl.leventbus.ipc.consts.IpcConst
import ink.xcl.leventbus.ipc.core.ProcessorManager

class LebIpcReceiver : BroadcastReceiver() {
    override fun onReceive(context: Context, intent: Intent) {
        if (IpcConst.ACTION == intent.action) {
            try {
                val key = intent.getStringExtra(IpcConst.KEY)
                val value = ProcessorManager.getManager().createFrom(intent)
                if (key != null && value != null) {
                    LiveEventBus.get<Any>(key).post(value)
                }
            } catch (e: Exception) {
                e.printStackTrace()
            }
        }
    }
}
