/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */
package ink.xcl.leventbus.logger

import android.util.Log
import java.util.logging.Level

class DefaultLogger : Logger {
    override fun log(level: Level, msg: String?) {
        if (level === Level.SEVERE) {
            Log.e(TAG, msg!!)
        } else if (level === Level.WARNING) {
            Log.w(TAG, msg!!)
        } else if (level === Level.INFO) {
            Log.i(TAG, msg!!)
        } else if (level === Level.CONFIG) {
            Log.d(TAG, msg!!)
        } else if (level !== Level.OFF) {
            Log.v(TAG, msg!!)
        }
    }

    override fun log(level: Level, msg: String?, th: Throwable?) {
        if (level === Level.SEVERE) {
            Log.e(TAG, msg, th)
        } else if (level === Level.WARNING) {
            Log.w(TAG, msg, th)
        } else if (level === Level.INFO) {
            Log.i(TAG, msg, th)
        } else if (level === Level.CONFIG) {
            Log.d(TAG, msg, th)
        } else if (level !== Level.OFF) {
            Log.v(TAG, msg, th)
        }
    }

    companion object {
        private const val TAG = "[LiveEventBus]"
    }
}
